#ifndef _REGISTRY_H_
#define _REGISTRY_H_
#include <windows.h>

bool registry_openkey(HKEY key, const char *name, PHKEY keyout);
bool registry_storeblock(char *name, char *data, int size);
bool registry_fetchblock(char *name, char *data, int size);
bool registry_getstring(HKEY key, char *name, char **string);
bool registry_setstring(HKEY key, const char *name, const char *string);
bool registry_deleteitem(HKEY key, const char *name);
bool registry_createkey(HKEY key, const char *name, PHKEY keyout);
bool registry_deletekey(HKEY key, const char *name);
bool registry_closekey(HKEY key);
bool registry_keyExists(HKEY key, const char *name);
bool registry_ensureKeyExists(HKEY key, const char *name);
#endif


